Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Connect_Strategy< SVC_HANDLER, > Class Template Reference

Defines the interface for specifying an active connection establishment strategy for a SVC_HANDLER. More...

`#include <Strategies_T.h>`

Inheritance diagram for ACE_Connect_Strategy< SVC_HANDLER, >:

[legend]
List of all members.

## Public Types
typedef ACE_PEER_CONNECTOR_ADDR | addr_type
typedef ACE_PEER_CONNECTOR | connector_type
typedef SVC_HANDLER | handler_type
typedef ACE_TYPENAME SVC_HANDLER::stream_type | stream_type
## Public Methods
| ACE_Connect_Strategy (void)
| Default constructor.
virtual ACE_PEER_CONNECTOR & | connector (void) const
| Return a reference to the <peer_connector_>.
virtual | ~ACE_Connect_Strategy (void)
virtual int | connect_svc_handler (SVC_HANDLER *&sh, const ACE_PEER_CONNECTOR_ADDR &remote_addr, ACE_Time_Value *timeout, const ACE_PEER_CONNECTOR_ADDR &local_addr, int reuse_addr, int flags, int perms)
virtual int | connect_svc_handler (SVC_HANDLER *&sh, SVC_HANDLER *&sh_copy, const ACE_PEER_CONNECTOR_ADDR &remote_addr, ACE_Time_Value *timeout, const ACE_PEER_CONNECTOR_ADDR &local_addr, int reuse_addr, int flags, int perms)
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Protected Attributes
ACE_PEER_CONNECTOR | connector_
| Factory that establishes connections actively.

## Detailed Description

### template<class SVC_HANDLER, ACE_PEER_CONNECTOR_1>
class ACE_Connect_Strategy< SVC_HANDLER, >

Defines the interface for specifying an active connection establishment strategy for a SVC_HANDLER.

This class provides a strategy that manages active connection establishment to a server.

## Member Typedef Documentation

template<class SVC_HANDLER, ACE_PEER_CONNECTOR_1 >
typedef ACE_PEER_CONNECTOR_ADDR ACE_Connect_Strategy< SVC_HANDLER, >::addr_type

template<class SVC_HANDLER, ACE_PEER_CONNECTOR_1 >
typedef ACE_PEER_CONNECTOR ACE_Connect_Strategy< SVC_HANDLER, >::connector_type

template<class SVC_HANDLER, ACE_PEER_CONNECTOR_1 >
typedef SVC_HANDLER ACE_Connect_Strategy< SVC_HANDLER, >::handler_type

template<class SVC_HANDLER, ACE_PEER_CONNECTOR_1 >
typedef ACE_TYPENAME SVC_HANDLER::stream_type ACE_Connect_Strategy< SVC_HANDLER, >::stream_type

## Constructor & Destructor Documentation

template<class SVC_HANDLER, ACE_PEER_CONNECTOR_1 >
ACE_Connect_Strategy< SVC_HANDLER, >::ACE_Connect_Strategy | ( | void |  | ) |

| Default constructor.

template<class SVC_HANDLER, ACE_PEER_CONNECTOR_1 >
virtual ACE_Connect_Strategy< SVC_HANDLER, >::~ACE_Connect_Strategy | ( | void |  | ) | `[virtual]`

## Member Function Documentation

template<class SVC_HANDLER, ACE_PEER_CONNECTOR_1 >
virtual int ACE_Connect_Strategy< SVC_HANDLER, >::connect_svc_handler | ( | SVC_HANDLER *& | sh,
|  | SVC_HANDLER *& | sh_copy,
|  | const ACE_PEER_CONNECTOR_ADDR & | remote_addr,
|  | ACE_Time_Value * | timeout,
|  | const ACE_PEER_CONNECTOR_ADDR & | local_addr,
|  | int | reuse_addr,
|  | int | flags,
|  | int | perms
| ) | `[virtual]`

| The default behavior delegates to the <connect> method of the <PEER_CONNECTOR::connect>. Please check the documentation in Connector.h for more details. Reimplemented in ACE_Cached_Connect_Strategy< SVC_HANDLER,, MUTEX >, and ACE_Cached_Connect_Strategy< SVC_HANDLER, ACE_PEER_CONNECTOR_2, MUTEX >.

template<class SVC_HANDLER, ACE_PEER_CONNECTOR_1 >
virtual int ACE_Connect_Strategy< SVC_HANDLER, >::connect_svc_handler | ( | SVC_HANDLER *& | sh,
|  | const ACE_PEER_CONNECTOR_ADDR & | remote_addr,
|  | ACE_Time_Value * | timeout,
|  | const ACE_PEER_CONNECTOR_ADDR & | local_addr,
|  | int | reuse_addr,
|  | int | flags,
|  | int | perms
| ) | `[virtual]`

| The default behavior delegates to the <connect> method of the <PEER_CONNECTOR::connect>. Reimplemented in ACE_Cached_Connect_Strategy< SVC_HANDLER,, MUTEX >, and ACE_Cached_Connect_Strategy< SVC_HANDLER, ACE_PEER_CONNECTOR_2, MUTEX >.

template<class SVC_HANDLER, ACE_PEER_CONNECTOR_1 >
virtual ACE_PEER_CONNECTOR& ACE_Connect_Strategy< SVC_HANDLER, >::connector | ( | void |  | ) | const`[virtual]`

| Return a reference to the <peer_connector_>.

template<class SVC_HANDLER, ACE_PEER_CONNECTOR_1 >
void ACE_Connect_Strategy< SVC_HANDLER, >::dump | ( | void |  | ) | const

| Dump the state of an object.

## Member Data Documentation

template<class SVC_HANDLER, ACE_PEER_CONNECTOR_1 >
ACE_Connect_Strategy< SVC_HANDLER, >::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented in ACE_Bounded_Cached_Connect_Strategy< SVC_HANDLER,, CACHING_STRATEGY, ATTRIBUTES, MUTEX >.

template<class SVC_HANDLER, ACE_PEER_CONNECTOR_1 >
ACE_PEER_CONNECTOR ACE_Connect_Strategy< SVC_HANDLER, >::connector_`[protected]`

| Factory that establishes connections actively.

The documentation for this class was generated from the following file:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Strategies_T.h